Interface TensorFlowServingEndpointBuilderFactory.TensorFlowServingBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
TensorFlowServingEndpointBuilderFactory
public static interface TensorFlowServingEndpointBuilderFactory.TensorFlowServingBuilders
-
Method Summary
Modifier and TypeMethodDescriptionTensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-servingtensorflowServing(String path) TensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-serving Syntax:tensorflow-serving:apiPath parameter: api (required) The TensorFlow Serving API There are 5 enums and the value can be one of: model-status, model-metadata, classify, regress, predicttensorflowServing(String componentName, String path) TensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-serving Syntax:tensorflow-serving:apiPath parameter: api (required) The TensorFlow Serving API There are 5 enums and the value can be one of: model-status, model-metadata, classify, regress, predict
-
Method Details
-
tensorflowServing
default TensorFlowServingEndpointBuilderFactory.TensorFlowServingHeaderNameBuilder tensorflowServing()TensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-serving- Returns:
- the dsl builder for the headers' name.
-
tensorflowServing
default TensorFlowServingEndpointBuilderFactory.TensorFlowServingEndpointBuilder tensorflowServing(String path) TensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-serving Syntax:tensorflow-serving:apiPath parameter: api (required) The TensorFlow Serving API There are 5 enums and the value can be one of: model-status, model-metadata, classify, regress, predict- Parameters:
path- api- Returns:
- the dsl builder
-
tensorflowServing
default TensorFlowServingEndpointBuilderFactory.TensorFlowServingEndpointBuilder tensorflowServing(String componentName, String path) TensorFlow Serving (camel-tensorflow-serving) Provide access to TensorFlow Serving model servers to run inference with TensorFlow saved models remotely Category: ai Since: 4.10 Maven coordinates: org.apache.camel:camel-tensorflow-serving Syntax:tensorflow-serving:apiPath parameter: api (required) The TensorFlow Serving API There are 5 enums and the value can be one of: model-status, model-metadata, classify, regress, predict- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- api- Returns:
- the dsl builder
-